import { createApp } from 'vue'
import { createPinia } from 'pinia'

import App from './App.vue'
import router from './router'
import modules from './modules'

// 公共css
import './assets/css/base.css'

const app = createApp(App)

// 注册模块
modules({ router })

app.use(createPinia())
app.use(router)

app.mount('#app')
