import type { Router } from 'vue-router'
import type { Module } from '@/types'

export default function ({ router }: { router: Router }) {
  const modules: Array<Module> = Object.values(import.meta.globEager('./**/index.ts'))
  modules.forEach(({ routes = [] }) => {
    // 注册路由
    routes.forEach(route => {
      router.addRoute(route)
    })
  })
}
